<div class="p-grid">
    <div class="p-col-12 p-md-12">
        <div class="card">
            <p-table [value]="pessoas" #dt [globalFilterFields]="['nome','dataNascimento','cpf','uf ']"
            [rows]="10" [paginator]="true" currentPageReportTemplate="Mostrando {first} ao {last} de {totalRecords} entradas" [showCurrentPageReport]="true"
            [rowHover]="true" dataKey="id">
                <ng-template pTemplate="caption">
                    <div class="p-d-flex p-ai-center p-jc-between">
                        <h5 class="p-m-0">Listagem de Pessoas</h5>
                        <span class="p-input-icon-left">
                            <i class="pi pi-search"></i>
                            <input pInputText type="text" (input)="dt.filterGlobal($any($event.target).value, 'contains')" placeholder="Pesquisar..." class="p-inputtext p-component"/>
                        </span>
                    </div>
                </ng-template>
                <ng-template pTemplate="header">
                    <tr>
                        <th  pSortableColumn="nome">Nome <p-sortIcon field="nome"></p-sortIcon></th>
                        <th  pSortableColumn="dataNascimento">Data de Nascimento <p-sortIcon field="dataNascimento"></p-sortIcon></th>
                        <th  pSortableColumn="cpf">CPF <p-sortIcon field="cpf"></p-sortIcon></th>
                        <th  pSortableColumn="uf">UF <p-sortIcon field="uf"></p-sortIcon></th>
                        <th></th>
                    </tr>
                </ng-template>
                <ng-template pTemplate="body" let-pessoa>
                    <tr>
                        <td>{{pessoa.nome}}</td>
                        <td>{{pessoa.dataNascimento}}</td>
                        <td>{{pessoa.cpf}}</td>
                        <td>{{pessoa.uf}}</td>
                        <td>
                            <button pButton class="p-button-rounded p-button-success p-mr-2 p-button p-component p-button-icon-only" (click)="editarPessoa(pessoa)">
                                <span class="p-button-icon pi pi-pencil"></span>
                            </button>
                            <button pButton class="p-button-rounded p-button-warning p-button p-component p-button-icon-only" (click)="deletarPessoa(pessoa)">
                                <span class="p-button-icon pi pi-trash"></span>
                            </button>
                        </td>
                    </tr>
                </ng-template>
            </p-table>
        </div>
    </div>
</div>


<p-confirmDialog [style]="{width:'450px'}" #dialogDelete>
    <p-footer>
        <div class="p-col-12">
            <button pButton  icon="pi pi-times" label="Não" class="p-button-icon p-button-icon-left" (click)="dialogDelete.reject()"></button>
            <button pButton  icon="pi pi-check" label="Sim" class="p-button-icon p-button-icon-left" (click)="dialogDelete.accept()"></button>
        </div>
    </p-footer>
</p-confirmDialog>
